<?php
/*
-----------------------------------------
Автор: -=КотЭ=-(-=MTV=-) и Shot(Robber)
Бесплатный WAP движок: Strongcms
Контакты: 0664452670(МТС) ибо ICQ(7296000)
Файл: index.php
-------------------------------------------
*/
require_once ('../system/function.php');
//-----Подключаем вверх-----//
$id = abs(intval($_GET['id']));
$forum_r = mysql_fetch_assoc(mysql_query("SELECT * FROM `admforum_razdel` WHERE `id` = '".$id."'"));
$title='Раздел '.$forum_r['name'].'';
require_once ('../system/header.php');

if(!$user['id'] or $user['level'] < 1) {
echo err($title, 'У вас не достаточно прав для просмотра данной страницы!');
require_once ('../system/footer.php'); exit;
}
if($forum_r == 0) {
echo '<div class="title">Форум | Ошибка</div><div class="podmenu"><center><b>Такого раздела не существует!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

echo '<div class="title"><a href="'.$HOME.'/admforum/">'.$title.'</a> | '.$forum_r['name'].'</div>';

require_once ('menu.php');

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `admforum_kat` WHERE `razdel` = '".$id."' "),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;
$forum_k = mysql_query("SELECT * FROM `admforum_kat` WHERE `razdel` = '".$id."' ORDER BY `id` DESC LIMIT $start, $max");

while($a = mysql_fetch_assoc($forum_k))
{
echo '<div class="podmenu"> <img src="/images/category.png"> <a href="/admforum/kat'.$a['id'].'">'.$a['name'].'</a> 
['.mysql_result(mysql_query('select count(`id`) from `admforum_tema` where `kat` = "'.$a['id'].'"'),0).'/'.mysql_result(mysql_query('select count(`id`) from `admforum_post` where `kat` = "'.$a['id'].'"'),0).']';
if($user['level'] >= 3) echo ' [<a href="/admforum/del_kat'.$a['id'].'">удалить</a>|<a href="/admforum/red_kat'.$a['id'].'">ред</a>]';
echo '</div>';
}

if($k_post < 1) echo '<div class="podmenu"><b><center>В данном разделе категорий пока нет!</center></b></div>';
if($user['level'] >= 3) echo '<div class="links"><img src="'.$HOME.'/images/add.png" alt="*" /> <a href="/admforum/nk'.$id.'">Новый подраздел</a></div>';

require_once ('footers.php');

if($k_page>1) echo str(''.$HOME.'/admforum/razdel'.$id.'?',$k_page,$page); // Вывод страниц

require_once ('../system/footer.php');
?>